/*	fnsmsg.c - message functions.
	(C) Copyright 1984 Gregory R. Mansfield - All Rights Reserved.
	G. R. Mansfield.  84/06/13.
	Ver 1.1-4917.
*/

/* Each of these message functions requires a list of message pointers for the
arguments.  The list is terminated by a 0 or NULL pointer. */

#include <ascii.h>
#include <stdio.h>

conmsg(msg) /* console message - display strings on console and advance line */
char **msg;
{
	char **p;

	for (p = &msg; *p; p++)
		fputs(*p, stderr);
	fputs("\n", stderr);
}

errmsg(msg) /* error message - ring bell, display strings and advance line */
char **msg;
{
	char **p;

	putchar(CV_BEL);
	for (p = &msg; *p; p++)
		fputs(*p, stderr);
	fputs("\n", stderr);
}

extmsg(msg) /* exit message - display strings, advance line, and exit(1) */
char **msg;
{
	char **p;

	for (p = &msg; *p; p++)
		fputs(*p, stderr);
	fputs("\n", stderr);
	exit(1);
}

oprmsg(msg) /* operator message - display strings, do not advance line */
char **msg;
{
	char **p;

	for (p = &msg; *p; p++)
		fputs(*p, stderr);
	putc('\r', stderr);
}

pmtmsg(msg) /* prompt message - display strings, stop at end of line */
char **msg;
{
	char **p;

	for (p = &msg; *p; p++)
		fputs(*p, stderr);
}
